---
title: Settings
slug: indexing-apis/settings
docTags: 
createdAt: 2024-06-26T09:01:55.913Z
---

The Settings API is designed to allow developers to configure default settings for the Klevu indexing system before sending data updates. This pre-configuration step ensures that certain parameters, such as default currency, are set and consistently applied to all subsequent data updates. As Klevu continues to evolve, more configurable settings will be added to enhance the indexing system's capabilities and enable it to make decisions based on these configurations.

**Setting Default Currency**

:::hint{type="info"}
If no default currency is set, our backend service will automatically use the currency found in the first record of the first batch submitted as the default currency.
:::



To ensure that all product prices are indexed in the default currency of USD. By configuring this setting upfront, they can avoid inconsistencies in currency handling across different data updates.

:::ApiMethodV2
```json
{
  "name": "showcasing how to set default currency ",
  "method": "PUT",
  "url": "https://indexing-api.ksearchnet.com/v2/settings",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "xOBGdm4j1d4of8rZLyuHq",
        "language": "curl",
        "code": "curl --location --request PUT 'https://indexing-api.ksearchnet.com/v2/settings' \\\n--header 'X-KLEVU-AUTH-ALGO: HmacSHA384' \\\n--header 'X-KLEVU-TIMESTAMP: 2023-07-10T08:38:00Z' \\\n--header 'X-KLEVU-APIKEY: klevu-1592574318858490' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer YQVmPq63wosB760EAkUNdomeI3Rlm+EFKdg7weXnIFewCCD6eJQJJ5h/w/HdtFpG' \\\n--data '{\"defaultCurrency\":\"GBP\"}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xOBGdm4j1d4of8rZLyuHq"
  },
  "results": {
    "languages": [
      {
        "id": "blif1oGwvbqovmU2FClQc",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"message\": \"Store settings updated.\"\n}"
      },
      {
        "id": "MOb-nxb4iBJs_9a-FK9gU",
        "language": "400",
        "code": "{\n  \"status\": 400,\n  \"code\": \"VALIDATION_ERROR\",\n  \"message\": \"The request was invalid. Please check the provided payload for errors.\",\n  \"debug\": [\n    {\n      \"message\": \"The attribute defaultCurrency has an invalid currency code 'SOO'. It must be a valid code according to ISO 4217 standards.\"\n    }\n  ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "blif1oGwvbqovmU2FClQc"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "X-KLEVU-AUTH-ALGO",
        "kind": "required",
        "type": "string",
        "description": "This is the algorithm used to create the security bearer token. ",
        "children": []
      },
      {
        "name": "X-KLEVU-TIMESTAMP",
        "kind": "required",
        "type": "string",
        "description": "This should be your current time while generating the request. It is used to keep the request secured and discourage request relays.",
        "children": []
      },
      {
        "name": "X-KLEVU-APIKEY",
        "kind": "required",
        "type": "string",
        "description": "This is the API Key of your store. Please refer to the Klevu Merchant Centre manual to understand where to get this key from.",
        "children": []
      },
      {
        "name": "Content-Type",
        "kind": "required",
        "type": "string",
        "description": "This needs to be application/JSON as this request body contains a JSON.",
        "children": []
      },
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "This is the generated security token that authenticates the request.",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "showcasing-how-to-set-default-currency",
  "legacyHash": "hPcV-w96SdS5Osxv_jYo3"
}
```
:::

